Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.grogra.imp
Class IMP

    java.lang.Object
      de.grogra.pf.registry.Plugin
          de.grogra.imp.IMP

All Implemented Interfaces:
  RegistryContext, CommandPlugin

    public final class IMP

extends Plugin
implements CommandPlugin

Field Summary
`static Command` | `CLOSE`
`static I18NBundle` | `I18N`
`static IOFlavor` | `TYPES_FLAVOR`
`static MimeType` | `TYPES_MIME_TYPE`

Constructor Summary
`IMP()`

Method Summary
`static void` | `addEdgeBits(Node source, Node target, int bits, Context context)`
`static void` | `addNode(Item item, java.lang.Object info, Context context)`
`static SourceFile` | `addSourceFile(java.io.File file, MimeType mt, Context ctx)`
`static void` | `closeWorkbench(Context ctx)`
`void` | `exit()`
`static void` | `export(View view, MimeType mt, java.io.File file)`
`static java.awt.Color` | `getAWTColor(float r, float g, float b, float a)`
`static java.awt.Color` | `getAWTColor(Tuple3f color)`
`static SourceFile` | `getFileToAdd(Context ctx)`
`static IMP` | `getInstance()`
`IMPWorkbench` | `getMainWorkbench()`
`UIToolkit` | `getToolkit()`
`static void` | `loadRegistry(Registry reg, RegistryLoader loader, boolean project)`
`static void` | `openClientWorkbench(Connection server, Context context)`
`static void` | `openClientWorkbench(Item item, java.lang.Object info, Context context)`
`static void` | `removeEdgeBits(Node source, Node target, int bits, Context context)`
`static void` | `run(Application app)`
`void` | `run(java.lang.Object info, Context ctx, CommandItem item)`
`static Tuple3f` | `setColor(Tuple3f t, int rgb)`
`void` | `start(IMPWorkbench workbench, Window feedback)`
`static SourceFile` | `toSourceFile(java.io.File file, MimeType mt, Context ctx)`
`static void` | `writeImage(Context ctx, java.awt.image.RenderedImage r, MimeType mt, java.io.File file)`
`static void` | `writeImage(Context ctx, java.awt.image.RenderedImage r, MimeType mt, java.io.OutputStream out, java.lang.String outName)`
`static void` | `writeImage(java.awt.Image img, java.io.File file)`

Methods inherited from class de.grogra.pf.registry.Plugin
`checkConfigure, getI18NBundle, getPluginDescriptor, getRegistry, initialize, shutdown, startup`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### CLOSE

    public static final Command CLOSE

### I18N

    public static final I18NBundle I18N

### TYPES_FLAVOR

    public static final IOFlavor TYPES_FLAVOR

### TYPES_MIME_TYPE

    public static final MimeType TYPES_MIME_TYPE

Constructor Detail

### IMP

    public IMP()

Method Detail

### addEdgeBits

    public static void addEdgeBits(Node source,
                                   Node target,
                                   int bits,
                                   Context context)

### addNode

    public static void addNode(Item item,
                               java.lang.Object info,
                               Context context)

### addSourceFile

    public static SourceFile addSourceFile(java.io.File file,
                                           MimeType mt,
                                           Context ctx)

### closeWorkbench

    public static void closeWorkbench(Context ctx)

### exit

    public void exit()

### export

    public static void export(View view,
                              MimeType mt,
                              java.io.File file)

### getAWTColor

    public static java.awt.Color getAWTColor(float r,
                                             float g,
                                             float b,
                                             float a)

### getAWTColor

    public static java.awt.Color getAWTColor(Tuple3f color)

### getFileToAdd

    public static SourceFile getFileToAdd(Context ctx)

### getInstance

    public static IMP getInstance()

### getMainWorkbench

    public IMPWorkbench getMainWorkbench()

### getToolkit

    public UIToolkit getToolkit()

### loadRegistry

    public static void loadRegistry(Registry reg,
                                    RegistryLoader loader,
                                    boolean project)
                             throws java.io.IOException

  Throws:
    `java.io.IOException`

### openClientWorkbench

    public static void openClientWorkbench(Connection server,
                                           Context context)
                                    throws java.io.IOException

  Throws:
    `java.io.IOException`

### openClientWorkbench

    public static void openClientWorkbench(Item item,
                                           java.lang.Object info,
                                           Context context)
                                    throws java.io.IOException

  Throws:
    `java.io.IOException`

### removeEdgeBits

    public static void removeEdgeBits(Node source,
                                      Node target,
                                      int bits,
                                      Context context)

### run

    public static void run(Application app)

### run

    public void run(java.lang.Object info,
                    Context ctx,
                    CommandItem item)

  Specified by:
    `run` in interface `CommandPlugin`

### setColor

    public static Tuple3f setColor(Tuple3f t,
                                   int rgb)

### start

    public void start(IMPWorkbench workbench,
                      Window feedback)

### toSourceFile

    public static SourceFile toSourceFile(java.io.File file,
                                          MimeType mt,
                                          Context ctx)

### writeImage

    public static void writeImage(Context ctx,
                                  java.awt.image.RenderedImage r,
                                  MimeType mt,
                                  java.io.File file)

### writeImage

    public static void writeImage(Context ctx,
                                  java.awt.image.RenderedImage r,
                                  MimeType mt,
                                  java.io.OutputStream out,
                                  java.lang.String outName)

### writeImage

    public static void writeImage(java.awt.Image img,
                                  java.io.File file)

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD